Page MenuHomePhabricator

commitctx: extract _filecommit too
ClosedPublic

Authored by marmoute on Jul 8 2020, 4:37 AM.

Details

Summary

This function is exclusively used in commitctx. So we should extract it too
for consistency and to reduce the localrepo bloat.

This is part of a larger refactoring/cleanup of the commitctx code to clarify
and augment the logic gathering metadata useful for copy tracing. The current
code is a tad too long and entangled to make such update easy.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Jul 8 2020, 4:37 AM
marmoute updated this revision to Diff 21992.Jul 20 2020, 12:51 PM
marmoute updated this revision to Diff 22031.Jul 21 2020, 6:09 PM
pulkit accepted this revision.Jul 22 2020, 7:37 AM
This revision is now accepted and ready to land.Jul 22 2020, 7:37 AM
This revision was automatically updated to reflect the committed changes.